version: '3'

services:
  # Application Service1
  marketbin:
    #network_mode: webapp
    container_name: marketbin
    restart: always
    build: 
      context: ./
      dockerfile: Dockerfile
    volumes:
      - ./.env:/var/www/html/marketbin/.env
      # para que tenga acceso al index.php
      - ./public:/var/www/html/marketbin/public
      # Para que resulten los cambios de app, resources, sin ejecutar nuevamente el docker-compose
      - ./app:/var/www/html/marketbin/app
      - ./resources:/var/www/html/marketbin/resources
      - ./routes:/var/www/html/marketbin/routes
      # para que tenga acceso al storage
      - ./storage:/var/www/html/marketbin/storage
      # Para guardar archivos dinamico. Path: /d/DOCUMENTS/EVERCARLOS/DESARROLLO
      - /d/DOCUMENTS/EVERCARLOS/DESARROLLO/storage/marketbin/files/img:/var/www/html/marketbin/public/img # Copiando todas las carptas de img (public/img), sino no reconoce algunos imagenes como de los accesos directos
    ports:
      - "9000:9000"
    working_dir: /var/www/html/marketbin # cuando inspecciona; redirije a la carpta
    # red
    networks:
      - webapp
networks:
  webapp:
    external: true